=== debian/changelog ===
intel-microcode (3.20250812.0ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20250812
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-03-11, rev 0xd000410, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-03-06, rev 0x10002e0, size 301056
      sig 0x000806f4, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f4, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f5, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f5, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f6, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f6, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f7, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f8, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f8, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000a06a4, pf_mask 0xe6, 2025-03-19, rev 0x0025, size 140288
      sig 0x000a06d1, pf_mask 0x20, 2025-05-15, rev 0xa000100, size 1638400
      sig 0x000a06d1, pf_mask 0x95, 2025-05-15, rev 0x10003d0, size 1667072
      sig 0x000a06f3, pf_mask 0x01, 2025-05-03, rev 0x3000362, size 1530880
      sig 0x000b06a2, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-05-21, rev 0x0123, size 80896
      sig 0x000c0652, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0662, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0664, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06a2, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06f1, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
      sig 0x000c06f2, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
    - CVE-2025-20109 (INTEL-SA-01249)
    - CVE-2025-22840 (INTEL-SA-01308)
    - CVE-2025-22839 (INTEL-SA-01310)
    - CVE-2025-22889 (INTEL-SA-01311)
    - CVE-2025-21090 (INTEL-SA-01313)
    - CVE-2025-20053 (INTEL-SA-01313)
    - CVE-2025-24305 (INTEL-SA-01313)
    - CVE-2025-26403 (INTEL-SA-01367)
    - CVE-2025-32086 (INTEL-SA-01367)
  * source: update symlinks to reflect id of the latest release, 20250812

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 28 Oct 2025 17:27:29 -0300
