## intel-microcode 3.20250812.1~deb10u1

=== debian/changelog ===
intel-microcode (3.20250812.1~deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * Rebuild for buster.

 -- Tobias Frost <tobi@debian.org>  Tue, 28 Oct 2025 20:29:53 +0100
