## intel-microcode 3.20250812.1~deb11u1

=== debian/changelog ===
intel-microcode (3.20250812.1~deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Rebuild for bullseye.

 -- Tobias Frost <tobi@debian.org>  Sat, 25 Oct 2025 17:43:03 +0200
