## intel-microcode 3.20250812.1~deb13u1

=== debian/changelog ===
intel-microcode (3.20250812.1~deb13u1) trixie-security; urgency=medium

  * Security upload, no changes.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 18 Oct 2025 15:41:39 -0300
