## intel-microcode 3.20250812.1

=== debian/tests/control ===
Tests: initramfs
Architecture: amd64
Depends:
 @,
 linux-image-amd64,
 initramfs-tools,
Restrictions: needs-root, allow-stderr, superficial
