## intel-microcode 3.20251111.1~deb13u1

=== debian/changelog ===
intel-microcode (3.20251111.1~deb13u1) trixie; urgency=medium

  * Upload to stable: no changes

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 22 Nov 2025 22:41:35 -0300
