## intel-microcode 3.20260210.1ubuntu1

=== debian/changelog ===
intel-microcode (3.20260210.1ubuntu1) resolute; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 27 Feb 2026 17:08:06 -0300
